package ink.wgink.annotation;

import java.lang.annotation.*;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: CheckNumberAnnotation
 * @Description: 字段为数字校验
 * @Author: WangGeng
 * @Date: 2019/11/14 11:31
 * @Version: 1.0
 **/
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.FIELD})
public @interface CheckNumberAnnotation {

    String name();

    String value() default "";

    String description() default "";

    String[] types() default {};

    double max() default Integer.MAX_VALUE;

    double min() default Integer.MIN_VALUE;

}
